Subir CAE
curl --request POST \
--url https://api.zynvo.uy/v1/enterprises/{rut}/caes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-Sandbox-Mode: <x-sandbox-mode>' \
--data '
{
"cae_b64": "PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiPz4...",
"cae_start_number": 1
}
'import requests
url = "https://api.zynvo.uy/v1/enterprises/{rut}/caes"
payload = {
"cae_b64": "PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiPz4...",
"cae_start_number": 1
}
headers = {
"X-Sandbox-Mode": "<x-sandbox-mode>",
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Sandbox-Mode': '<x-sandbox-mode>',
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
cae_b64: 'PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiPz4...',
cae_start_number: 1
})
};
fetch('https://api.zynvo.uy/v1/enterprises/{rut}/caes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"authorization_number": "90232272471",
"issuer_ruc": "219517920011",
"cfe_type": "ETICKET",
"cfe_type_code": "101",
"cfe_type_label": "e-Ticket",
"series": "A",
"number_start": 1,
"number_end": 100,
"last_number": 1,
"issue_date": "2023-12-06",
"expiration_date": "2025-12-05",
"status": "OK"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Los datos proporcionados no son válidos"
}
}CAEs
Subir CAE
Carga un nuevo CAE (Código de Autorización Electrónica) para la empresa
POST
/
enterprises
/
{rut}
/
caes
Subir CAE
Authorizations
API Key de Zynvo obtenida desde el dashboard. Requerida en todos los endpoints.
Token JWT obtenido del endpoint /tokens. Se debe enviar en el header Authorization como "Bearer {token}"
Headers
Define el entorno de ejecución de la API.
Valores:
"true"- Modo sandbox: Usa datos de prueba aislados"false"- Modo producción: Usa datos reales
Available options:
true, false Path Parameters
RUT de la empresa
Body
application/json
Response
CAE cargado
Show child attributes
Show child attributes
⌘I